import java.util.Scanner;

public class Banker {
	
	public static void main(String[] args) {
		
		int balance = 0; //balanca qe gjendet ne banke
		int deposit_total = 0; //shuma totale e depozitave
		int withdraw_total = 0; //shuma totale e terheqjeve
		
		int deposit_num = 0; //numri i depozitave te bera
	 	int withdraw_num = 0; //numri i terheqjeve te bera
	
		int transaction = 0; //shuma e depozituar ose terhequr
		
		boolean finished = false; 
		
		Banker banker = new Banker();
		
		Scanner scan = new Scanner(System.in);
			
		String trans_type; //veprimi qe gjezh perdoruesi
		//W per Withdraw, terheqje
		//D per Deposit, depozite
		//E per Exit, te mbylle programin
		
		
		//Marrim shumen fillestare te llogarise
		//E pyesim perdoruesin deri sa shuma te jete te pakten 1 qindarke
		do{
			System.out.print("What is the starting balance: $");
			balance = (int)(scan.nextFloat() * 100);
		}while(balance < 1);
			
		while(!finished){
		
			//Marrim veprimin qe do te kryej perdoruesi
			System.out.print("Enter transaction (W/D/E): ");
			trans_type = scan.next();
			
			if(trans_type.equals("W") || trans_type.equals("D")){
				
				// E pyesim perdoruesin per shumen e veprimit
				// deri sa te shkruaj nje shume pozitive
				do{
					System.out.print("Enter Trans. Amt: $");
					transaction = (int)(scan.nextFloat() * 100);
				}while(transaction < 1);
				
				if(trans_type.equals("D")){
					//depozitojme parate ne llogari
					//azhurnojme balancen
					balance = balance + transaction;
					deposit_total = deposit_total + transaction;
					deposit_num = deposit_num + 1;
					System.out.println("Balance after Deposit: $" + (float)(balance / 100.0));
				}
				else{
					
					if( balance > transaction){
						//terhiq parate, azhurno balancen
						balance = balance - transaction;
						withdraw_total = withdraw_total + transaction;
						withdraw_num = withdraw_num + 1;
						
						System.out.println("New Balance is $" + (float)(balance / 100.0));
						
					}
					else if( balance > 2500 ){
						// nqs kerkon te terheqe me shume sec ka ne banke
						// shikojme nqs ka me shume se 25 dollare dhe po te kete
						// i japim 25 dollare
						balance = balance - 2500;
						withdraw_total = withdraw_total + 2500;
						withdraw_num = withdraw_num + 1;
						
						System.out.print("Insufficient fund. You have been debited $25.00.");
						System.out.print(" New Balance is $" + (float)(balance / 100.0));
						System.out.println();
						
					}
					else{
						//ska para te mjaftueshme per terheqje
						System.out.println("Insufficient funds.");
					}
					
				}
			
			}
			else if(trans_type.equals("E")){ //nqs perdoruesi mbaroi pune
				finished = true;
				
				//nxjerrim statistikat
				//balanca fillestare
				int starting_balance = balance - deposit_total + withdraw_total;
				
				System.out.println("Your starting balance was $" + (float)(starting_balance / 100.0) );
				System.out.println("You made " + withdraw_num + " withdrawals with a total of $" + (float)(withdraw_total / 100.0) );
				System.out.println("You made " + deposit_num + " deposits with a total of $" + (float)(deposit_total / 100.0) );
				System.out.println("Your new balance is $" + (float)(balance / 100.0) );
				
				System.out.println("Goodbye!");
			}
			else{
				// Perdoruesi shkruajti dicka ndryshe nga W, D, E
				// prandaj i nxjerrim gabimin ne ekran
				System.out.println("Unidentified transaction.");
				System.out.println("[W]ithdraw");
				System.out.println("[D]eposit");
				System.out.println("[E]xit");
			}
			
		}		
		
	}

}